SUNDIALS version

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

SUNDIALS version

marco atzeri-2
before packing octave-6.2.0 for cygwin,
one question as I have not found a clear hint
on the code.

Octave is still limited to SUNDIALS 2.7 or newer
versions are also accepted ?

Regards
Marco


Reply | Threaded
Open this post in threaded view
|

Re: SUNDIALS version

mmuetzel
Am 14. Mai 2021 um 16:21 Uhr schrieb "Marco Atzeri":
> before packing octave-6.2.0 for cygwin,
> one question as I have not found a clear hint
> on the code.
>
> Octave is still limited to SUNDIALS 2.7 or newer
> versions are also accepted ?

I don't recall if that change was made in Octave 5 or 6. But the minimum version of SUNDIALS that is currently supported is 3.0.
Newer versions should also be working. Fwiw, I'm building with SUNDIALS 4.1.0.

Markus


Reply | Threaded
Open this post in threaded view
|

Re: SUNDIALS version

Dmitri A. Sergatskov


On Fri, May 14, 2021 at 11:06 AM Markus M├╝tzel <[hidden email]> wrote:
Am 14. Mai 2021 um 16:21 Uhr schrieb "Marco Atzeri":
> before packing octave-6.2.0 for cygwin,
> one question as I have not found a clear hint
> on the code.
>
> Octave is still limited to SUNDIALS 2.7 or newer
> versions are also accepted ?

I don't recall if that change was made in Octave 5 or 6. But the minimum version of SUNDIALS that is currently supported is 3.0.
Newer versions should also be working. Fwiw, I'm building with SUNDIALS 4.1.0.

Markus

I've just built stable (6.2.1) against 5.7.0 and it passed "make check".

Dmitri.
--